### Property

# Ide DiagnosticTool:program-name

#### Declaration

    property program-name: utf8 [ read, write ]

#### Description

The “program-name” property contains the name of the executable to locate within the build container, host system, or within Builder’s own runtime container.

Type: | `gchar*`

Setter method | `ide_diagnostic_tool_set_program_name()`
Getter method | `ide_diagnostic_tool_get_program_name()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no